<?php

hooks()->add_filter('before_get_project_statuses','my_add_custom_project_status');

function my_add_custom_project_status($current_statuses){
    // Push new status to the current statuses
    $current_statuses[] = array(
           'id'=>50, // new status with id 50
           'color'=>'#989898',
           'name'=>'Planning',
           'order'=>10,
           'filter_default'=>true, // true or false
        );
    // Return the statuses
    return $current_statuses;
}